"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _utils = require("../utils");
/**
 * Internal dependencies
 */

const backgroundImage = {
  name: 'backgroundImage',
  generate: (style, options) => {
    const _backgroundImage = style?.background?.backgroundImage;
    const _backgroundSize = style?.background?.backgroundSize;
    const styleRules = [];
    if (!_backgroundImage) {
      return styleRules;
    }
    if (_backgroundImage?.source === 'file' && _backgroundImage?.url) {
      styleRules.push({
        selector: options.selector,
        key: 'backgroundImage',
        // Passed `url` may already be encoded. To prevent double encoding, decodeURI is executed to revert to the original string.
        value: `url( '${encodeURI((0, _utils.safeDecodeURI)(_backgroundImage.url))}' )`
      });
    }

    // If no background size is set, but an image is, default to cover.
    if (!_backgroundSize) {
      styleRules.push({
        selector: options.selector,
        key: 'backgroundSize',
        value: 'cover'
      });
    }
    return styleRules;
  }
};
var _default = [backgroundImage];
exports.default = _default;
//# sourceMappingURL=index.js.map